//WinProcSpy.cpp
#include <iostream.h>
#include "processViewer.h"

typedef IProcSpy* (*PFNCreate)();

BOOL CALLBACK cbkProc(string);

int main()
{
	char dllName[] = "processviewer.dll";
	HMODULE hmod = LoadLibrary(dllName);
	if (!hmod)
	{
		cout << "error loading dll" << endl;
		return 0;
	}
	PFNCreate pfnCreate = (PFNCreate)GetProcAddress(hmod, \
									TEXT("CreateProcSpy"));
	IProcSpy* spy = (pfnCreate)();
	spy->showProcesses(cbkProc);
	cout << "????" << endl;
	spy->release();
	delete spy;
	FreeLibrary(hmod);
	cout << "?????";
	return 0;
}

BOOL CALLBACK cbkProc(string str)
{
	cout << str << endl;
	return TRUE;
}