#ifndef PROCESSVIEWER_H
#define PROCESSVIEWER_H

#include <windows.h>
#include <string.h>
#include <tlhelp32.h>

#if defined(DLL_EXPORT)
	#define MYAPI __declspec(dllexport)
#else
	#define MYAPI __declspec(dllimport)
#endif

typedef BOOL (CALLBACK* PSENUMPROC_S)(string);

class IProcSpy
{
public:
	virtual bool showProcesses(PSENUMPROC_S)=0;
	//other functions - i havent finished coding them
	virtual void release()=0;
};

extern "C" MYAPI IProcSpy* __stdcall CreateProcSpy();

#endif